control.h File Reference
Include dependency graph for control.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | pw_control_events
| Port events, use pw_control_add_listener. More...

## Macros

#define | PW_TYPE__Control "PipeWire:Object:Control"
#define | PW_TYPE_CONTROL_BASE PW_TYPE__Control ":"
#define | PW_VERSION_PORT_EVENTS 0

## Functions

struct pw_port * | pw_control_get_port (struct pw_control *control)
| Get the control parent port or NULL when not set. More...
void | pw_control_add_listener (struct pw_control *control, struct spa_hook *listener, const struct pw_control_events *events, void *data)
| Add an event listener on the control. More...
int | pw_control_link (struct pw_control *control, struct pw_control *other)
int | pw_control_unlink (struct pw_control *control, struct pw_control *other)

## Macro Definition Documentation

## PW_TYPE__Control

#define PW_TYPE__Control "PipeWire:Object:Control"

## PW_TYPE_CONTROL_BASE

#define PW_TYPE_CONTROL_BASE PW_TYPE__Control ":"

## PW_VERSION_PORT_EVENTS

#define PW_VERSION_PORT_EVENTS 0

## Function Documentation

## pw_control_add_listener()

void pw_control_add_listener | ( | struct pw_control * | control,
|  | struct spa_hook * | listener,
|  | const struct pw_control_events * | events,
|  | void * | data
| ) |  |

Add an event listener on the control.

## pw_control_get_port()

struct pw_port* pw_control_get_port | ( | struct pw_control * | control | ) |

Get the control parent port or NULL when not set.

## pw_control_link()

int pw_control_link | ( | struct pw_control * | control,
|  | struct pw_control * | other
| ) |  |

References impl::mem, pw_memblock::ptr, pw_memblock_alloc(), PW_MEMBLOCK_FLAG_MAP_READWRITE, PW_MEMBLOCK_FLAG_SEAL, and PW_MEMBLOCK_FLAG_WITH_FD.

## pw_control_unlink()

int pw_control_unlink | ( | struct pw_control * | control,
|  | struct pw_control * | other
| ) |  |

Referenced by pw_control_destroy().